Package: groovy.org.codenarc.report

## [Groovy] Class InlineXmlReportWriter

- groovy.org.codenarc.report.InlineXmlReportWriter

- ReportWriter that generates an XML report with inline rule descriptions. This makes it easy for Hudson to parse

  Authors:
    Robin Bramley

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractReportWriter` | `BASE_MESSAGES_BUNDLE, CODENARC_URL, CUSTOM_MESSAGES_BUNDLE, VERSION_FILE, customMessagesBundleName, getTimestamp, initializeResourceBundle, resourceBundle`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected def` | `buildRulesElement(AnalysisContext analysisContext)`
    `` | `protected def` | `buildViolationElement(Violation violation)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class XmlReportWriter` | `buildFileElement, buildMessageElement, buildPackageAttributeMap, buildPackageElement, buildPackageElements, buildProjectElement, buildReportElement, buildRulesElement, buildSourceLineElement, buildViolationElement, cdata, isRoot, removeIllegalCharacters, writeReport`
    `class AbstractReportWriter` | `getCodeNarcVersion, getDescriptionForRule, getFormattedTimestamp, getHtmlDescriptionForRule, getResourceBundleString, getSortedRules, initializeDefaultResourceBundle, isEnabled, writeReport, writeReport`

- - ### Method Detail

    - #### @Override protected def buildRulesElement(AnalysisContext analysisContext)

    - #### @Override protected def buildViolationElement(Violation violation)